#include <stdio.h>
#include <iostream>
#include <stdlib.h>
#include <string>
#include <string.h>
#include <vector>
#include <stack>
#include <queue>
#include <deque>
#include <set>
#include <map>
#include <assert.h>
#include <algorithm>
#include <iomanip>
#include <time.h>
#include <math.h>
#include <bitset>

#pragma comment(linker, "/STACK:256000000")

using namespace std;

typedef long long int ll;
typedef long double ld;

const int INF = 1000 * 1000 * 1000 + 21;
const ll LLINF = (1ll << 60) + 5;
const int MOD = 1000 * 1000 * 1000 + 7;

const int CNT = 3;
const int CNT_MASK = (1 << CNT);

int n;
int arr[CNT];
int cur_arr[CNT];

int main() {
#ifdef CH_EGOR
    freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
#else
    //freopen("", "r", stdin);
    //freopen("", "w", stdout);
#endif

    for (int i = 0; i < CNT; ++i) {
        scanf("%d", &arr[i]);
    }

    int ans = 0;
    for (int i = 0; i < (1 << CNT_MASK); ++i) {
        if (i & 1) {
            continue;
        }
        memset(cur_arr, 0, sizeof(cur_arr));
        for (int j = 0; j < CNT_MASK; ++j) {
            if ((i >> j) & 1) {
                for (int k = 0; k < CNT; ++k) {
                    if ((j >> k) & 1) {
                        ++cur_arr[k];
                    }
                }
            }
        }

        bool ok = true;
        for (int j = 0; j < CNT; ++j) {
            if (arr[j] < cur_arr[j]) {
                ok = false;
                break;
            }
        }

        if (ok) {
            ans = max(ans, __builtin_popcount(i));
        }
    }

    printf("%d\n", ans);

    return 0;
}

