#include <stdio.h>
#include <iostream>
#include <stdlib.h>
#include <string>
#include <string.h>
#include <vector>
#include <stack>
#include <queue>
#include <deque>
#include <set>
#include <map>
#include <assert.h>
#include <algorithm>
#include <iomanip>
#include <time.h>
#include <math.h>
#include <bitset>

#pragma comment(linker, "/STACK:256000000")

using namespace std;

typedef long long int ll;
typedef long double ld;

const int INF = 1000 * 1000 * 1000 + 21;
const ll LLINF = (1ll << 60) + 5;
const int MOD = 1000 * 1000 * 1000 + 7;

const int CNT = 3;

const int PER_ID = 4;

int n;
int arr[CNT];
int sub[CNT];
int cur_sub[CNT];
pair<int, int> masks[3] = {{0, 1}, {0, 2}, {1, 2}};

int main() {
#ifdef CH_EGOR
    freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
#else
    //freopen("", "r", stdin);
    //freopen("", "w", stdout);
#endif

    for (int i = 0; i < CNT; ++i) {
        scanf("%d", &arr[i]);
    }

    int ans = 0;
    for (int i = 0; i < CNT; ++i) {
        if (arr[i]) {
            --arr[i];
            ++ans;
        }
    }

    int to_add = 0;

    int id = 0;
    do {
        ++id;
        if (id != PER_ID) {
            continue;
        }

        memset(cur_sub, 0, sizeof(cur_sub));
        int cnt = 0;
        for (const auto& [x, y] : masks) {
            if (cur_sub[x] + 1 <= arr[x] && cur_sub[y] + 1 <= arr[y]) {
                ++cur_sub[x];
                ++cur_sub[y];
                ++cnt;
            }
        }
        if (cnt > to_add) {
            to_add = cnt;
            memcpy(sub, cur_sub, sizeof(cur_sub));
        }

    } while (next_permutation(masks, masks + 3));

    ans += to_add;
    for (int i = 0; i < 3; ++i) {
        arr[i] -= sub[i];
    }

    if (arr[0] && arr[1] && arr[2]) {
        for (int i = 0; i < CNT; ++i) {
            --arr[i];
        }
        ++ans;
    }

    printf("%d\n", ans);

    return 0;
}

