#include <stdio.h>
#include <iostream>
#include <stdlib.h>
#include <string>
#include <string.h>
#include <vector>
#include <stack>
#include <queue>
#include <deque>
#include <set>
#include <map>
#include <assert.h>
#include <algorithm>
#include <iomanip>
#include <time.h>
#include <math.h>
#include <bitset>
#include <functional>

#pragma comment(linker, "/STACK:256000000")

using namespace std;

typedef long long int ll;
typedef long double ld;

const int INF = 1000 * 1000 * 1000 + 21;
const ll LLINF = (1ll << 60) + 5;
const int MOD = 1000 * 1000 * 1000 + 7;

int n, x, y;

/*
const int MAX_N = 21;
int dp[2][1 << MAX_N];

int get_2n_func(int n, int x, int y, int neutral, const function<int(int, int)>& merge) {
    --x; --y;
    for (int i = 0; i < (1 << n); ++i) {
        dp[0][i] = neutral;
    }
    dp[0][0] = 0;
    int cur = 0;
    for (int i = 0; i < n; ++i, cur ^= 1) {
        for (int j = 0; j < (1 << n); ++j) {
            dp[cur ^ 1][j] = neutral;
        }

        if (i == x) {
            for (int j = 0; j < (1 << n); ++j) {
                if (!((j >> y) & 1)) {
                    dp[cur ^ 1][j ^ (1 << y)] = dp[cur][j];
                }
            }
        } else {
            for (int j = 0; j < (1 << n); ++j) {
                for (int k = 0; k < n; ++k) {
                    if (!((j >> k) & 1)) {
                        dp[cur ^ 1][j ^ (1 << k)] = merge(
                            dp[cur ^ 1][j ^ (1 << k)]
                            , dp[cur][j] + (i + k <= x + y)
                        );
                    }
                }
            }
        }
    }

    return dp[cur][(1 << n) - 1] + 1;
}

pair<int, int> get_2n(int n, int x, int y) {
    return {
        get_2n_func(n, x, y, INF, [](int a, int b) {return a < b ? a : b;})
        , get_2n_func(n, x, y, -INF, [](int a, int b) {return a < b ? b : a;})
    };
}

*/

int fix_val(int n, int x) {
    return min(max(1, x), n);
}

pair<int, int> get_fast(int n, int x, int y) {
    return {
        fix_val(n, x + y - 1 - max(0, min(x - 1, n - y - 1)) - max(0, min(y - 1, n - x - 1)) - (x - 1 >= n - y - 1 && y - 1 >= n - x - 1) * min(x - 1 - max(0, n - y - 1), y - 1 - max(0, n - x - 1)))
        , fix_val(n, 1 + min(x - 1, n - y) + min(y - 1, n - x) + (x - 1 >= n - y && y - 1 >= n - x) * max(0, min(x - 1 - n + y, y - 1 - n + x)))
    };
}

int main() {
#ifdef CH_EGOR
    freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
#else
    //freopen("", "r", stdin);
    //freopen("", "w", stdout);
#endif

/*
    for (int n = 1; n <= 20; ++n) {
        cerr << n << "\n";
        for (int x = 1; x <= n; ++x) {
            for (int y = x; y <= n; ++y) {
                if (get_fast(n, x, y) != get_2n(n, x, y)) {
                    cerr << n << " " << x << " " << y << endl;
                    cerr << get_fast(n, x, y).first << " " << get_fast(n, x, y).second << "\n";
                    cerr << get_2n(n, x, y).first << " " << get_2n(n, x, y).second << "\n";
                    assert(get_fast(n, x, y) == get_2n(n, x, y));
                }
            }
        }
    }

    return 0;
*/

    scanf("%d%d%d", &n, &x, &y);

    pair<int, int> ans = get_fast(n, x, y);
    printf("%d %d\n", ans.first, ans.second);

    return 0;
}

