#include <climits>
#include <numeric>
#include <iostream>
#include <map>
#include <stack>
#include <vector>
using namespace std;
using ll = long long int;
using pii = pair<int, int>;


int n;
vector<int> vec;
vector<int> ans;
ll ans_sum = 0;

void check(const vector<int>& v) {
    // useless check, but who cares
    for (int i = 0; i < v.size(); ++i) {
        if (v[i] > vec[i]) {
            return;
        }
    }

    for (int i = 1; i + 1 < v.size(); ++i) {
        bool l = false, r = false;
        for (int z = i - 1; z >= 0; --z) {
            if (v[z] > v[i]) {
                l = true;
                break;
            }
        }
        for (int z = i + 1; z < n; ++z) {
            if (v[z] > v[i]) {
                r = true;
                break;
            }
        }
        if (l && r) {
            return;
        }
    }

    if (ans.size() == 0) {
        ans = v;
    } else {
        ll cur_sum = accumulate(v.begin(), v.end(), 0LL);
        if (cur_sum > ans_sum) {
            ans_sum = cur_sum;
            ans = v;
        }
    }
}

void brute(vector<int>& v) {
    if (v.size() == vec.size()) {
        check(v);
        return;
    }

    for (int i = 0; i <= vec[v.size()]; ++i) {
        v.push_back(i);
        brute(v);
        v.pop_back();
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    cin >> n;
    vec.resize(n);
    for (auto& it : vec) {
        cin >> it;
    }

    vector<int> v;
    brute(v);
    for (const auto it : ans) {
        cout << it << " ";
    }
    cout << endl;
}
