#include "testlib.h"
#include <iostream>

using namespace std;

const int mxc = 1e9;

vector<int> times;

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);
	map<string, string> params;
	for (int i = 1; i < argc; i++) {
		string s = string(argv[i]);
		if (s.find("=") != string::npos) {
			auto pos = s.find("=");
			params[s.substr(0, pos)] = s.substr(pos + 1);
		}
	}
	int maxx = 1e9;
	if (params.count("maxx")) {
		maxx = stoi(params["maxx"]);
	}
	string mode = params["mode"];
	int n = maxx;
	if (params.count("n")) {
		if (params["n"] == "rand") {
			n = rnd.next(1, n);
		} else {
			n = stoi(params["n"]);
		}
	}
	int m = maxx;
	if (params.count("m")) {
		if (params["m"] == "rand") {
			m = rnd.next(1, m);
		} else {
			m = stoi(params["m"]);
		}
	}
	int b = maxx;
	if (params.count("b")) {
		if (params["b"] == "rand") {
			b = rnd.next(2, b);
		} else {
			b = stoi(params["b"]);
		}
	}
	if (mode == "div") {
		int common = stoi(params["common"]);
		int mm = m;
		m = 1;
		for (int i = 0; i < mm; i++) {
			m *= common;
		}
		b *= common;
	}
	cout << b << '\n' << n << '\n' << m << '\n';
}
