#include <stdio.h>
#include <iostream>
#include <stdlib.h>
#include <string>
#include <string.h>
#include <vector>
#include <stack>
#include <queue>
#include <deque>
#include <set>
#include <map>
#include <assert.h>
#include <algorithm>
#include <iomanip>
#include <time.h>
#include <math.h>
#include <bitset>

#pragma comment(linker, "/STACK:256000000")

using namespace std;

typedef long long int ll;
typedef long double ld;

const int INF = 1000 * 1000 * 1000 + 21;
const ll LLINF = (1ll << 60) + 5;
const int MOD = 1000 * 1000 * 1000 + 7;

ll mul(ll a, ll b) {
    if (a > LLINF / b) {
        return LLINF;
    }
    return a * b;
}

ll pw(ll x, ll n) {
    ll ans = 1;
    while (n) {
        if (n & 1) {
            ans = mul(ans, x);
        }
        x = mul(x, x);
        n >>= 1;
    }

    return ans;
}

ll gcd(ll a, ll b) {
    return b ? gcd(b, a % b) : a;
}

void ans(ll x) {
    printf("%lld\n", x);
    exit(0);
}

ll b, n, m;

int main() {
#ifdef CH_EGOR
    freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
#else
    //freopen("", "r", stdin);
    //freopen("", "w", stdout);
#endif

    scanf("%lld%lld%lld", &b, &n, &m);

    if (m == 1) {
        ans(0);
    }
    if (n == 1) {
        ans(1);
    }
    if (pw(b, n) - 1 < m) {
        ans(0);
    }

    ll now = 1;
    for (int i = 0; i < n; ++i) {
        if (now % m == 0) {
            ans(i);
        }
        now = now * b;
        if (i >= 32) {
            break;
        }
    }

    ans(n - (b == 2));

    return 0;
}

